--- title: "Get purge history" slug: "purge-request-info" tags: ["Global Edge"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/purge-request-info" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get purge history Available in Classic and VPC Get the purge job history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/purge/{purgeRequestId} | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `purgeRequestId` | Long | Required | Purge request ID - See [Run purge](/docs/en/purge-request). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://edge.apigw.ntruss.com/api/v1/purge/372****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.clientIp` | String | - | Purge request client IP | | `result.purgeId` | Long | - | Purge request ID | | `result.instanceNo` | Long | - | Edge contract number | | `result.requestDateTime` | String | - | Purge request date and time (UTC) | | `result.serviceDomain` | String | - | Edge domain | | `result.status` | String | - | Purge progress - `READY` \| `RUNNING` \| `SUCCESS` \| `FAILURE` - `READY`: Pending execution - `RUNNING`: Running - `SUCCESS`: Completed - `FAILURE`: Failed | | `result.targetDirectory` | String | - | Purge target directory list - Displayed if `purgeType` is `DIRECTORY` | | `result.targetFileList` | Array | - | Purge target list - Displayed if `purgeType` is `PATTERN` or `URL` | | `result.targetFileListString` | String | - | Purge target list | | `result.purgeType` | String | - | Purge type - `ALL` \| `DIRECTORY` \| `PATTERN` \| `URL` - `ALL`: Purge all. - `DIRECTORY`: Purge by directory. - `PATTERN`: Purge by directory and file extension. - `URL`: Purge by individual file. | | `result.workerType` | String | - | Purge request account type - `ACCOUNT` \| `SUBACCOUNT` - `ACCOUNT`: Main account - `SUBACCOUNT`: Sub account | | `result.purgeRequestSource` | String | - | Purge request source - `GLOBAL_EDGE_API` \| `GLOBAL_EDGE` - `GLOBAL_EDGE_API`: API - `GLOBAL_EDGE`: Console | | `result.ticketId` | String | - | Ticket ID | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": { "clientIp": "***.***.***.***", "purgeId": 372****, "instanceNo": 107***482, "requestDateTime": "2025-07-17T08:20:19.523Z", "serviceDomain": "jze**********.edge.naverncp.com", "status": "SUCCESS", "targetDirectory": "/src/images/*,/static/thumbs/*", "purgeType": "DIRECTORY", "workerType": "ACCOUNT", "purgeRequestSource": "GLOBAL_EDGE_API", "ticketId": "P-17527404195*********************t2wqisv5ffv1v" } } ```